---
schema_version: "1"
id: d6c533f10c7a7f494571e27c76fc2f222cab6e04ea6169ed45c55dd548498d3e
title: Update Personalized Navigation Items
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_apps_update_nav_items.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_apps_update_nav_items.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 565bbbde9a281c870d4aa951702c29eb7a21df4f9ef7c76fcee59a8030f8ae6c
description: Updates the order of a user’s personalized navigation items (tabs) and adds a navigation item to the list in the order specified.
---
# Update Personalized Navigation Items

Updates the order of a user’s personalized navigation items (tabs) and adds a navigation item to the list in the order specified.

Resource

/ui-api/apps/{appId}/user-nav-items

Available Version

47.0

HTTP Method

PUT

Example

To update the order that navigation items display in an app and add an item to the list, make this request using the app’s ID.

PUT /services/data/v68.0/ui-api/apps/06mRM000000U6pOYAS/user-nav-items

The request body contains the list of navigation items in the order they should appear. To add a navigation item, include a pageReference describing the item.

{
  "navItems": \[{
    "id": "0QkRM00000058lN0AQ"
  }, {
    "id": "0QkRM00000058lR0AQ",
    "label": "My Top Account"
  }, {
    "pageReference": {
      "type": "standard\_\_objectPage",
      "attributes": {
        "objectApiName": "Dashboard",
        "actionName": "home"
      },
      "state": {}
    }
  }\]
}

The request returns metadata for the navigation items associated with this app.

{
  "currentPageUrl": "/services/data/v68.0/ui-api/apps/06mRM000000U6pOYAS/user-nav-items?formFactor=large",
  "navItems": \[{
    "availableInClassic": true,
    "availableInLightning": true,
    "color": "2ECBBE",
    "content": "https://yourinstance.salesforce.com/00O/o",
    "custom": false,
    "developerName": "standard-report",
    "iconUrl": "https://yourinstance.salesforce.com/img/icon/t4v35/standard/report\_120.png",
    "id": "0QkRM00000058lN0AQ",
    "itemType": "Entity",
    "label": "Cars",
    "objectApiName": "Car\_\_c",
    "objectLabel": "Car",
    "objectLabelPlural": "Cars",
    "pageReference": {
      "attributes": {
        "objectApiName": "Car\_\_c",
        "actionName": "home"
      },
      "state": {},
      "type": "standard\_\_objectPage"
    },
    "standardType": null
  }, {
    "availableInClassic": false,
    "availableInLightning": true,
    "color": "7F8DE1",
    "content": "001RM000004QlpqYAC",
    "custom": true,
    "developerName": null,
    "iconUrl": "https://yourinstance.salesforce.com/img/icon/t4v35/standard/account\_120.png",
    "id": "0QkRM00000058lR0AQ",
    "itemType": "Record",
    "label": "My Top Account",
    "objectApiName": "Account",
    "objectLabel": "Account",
    "objectLabelPlural": "Accounts",
    "pageReference": {
      "attributes": {
        "recordId": "001RM000004QlpqYAC",
        "objectApiName": "Account",
        "actionName": "view"
      },
      "state": {},
      "type": "standard\_\_recordPage"
    },
    "standardType": null
  }, {
    "availableInClassic": true,
    "availableInLightning": true,
    "color": "EF6E64",
    "content": "https://yourinstance.salesforce.com/01Z/o",
    "custom": false,
    "developerName": "standard-Dashboard",
    "iconUrl": "https://yourinstance.salesforce.com/img/icon/t4v35/standard/dashboard\_120.png",
    "id": "0QkRM00000058ll0AA",
    "itemType": "Standard",
    "label": "Dashboards",
    "objectApiName": "Dashboard",
    "objectLabel": "Dashboard",
    "objectLabelPlural": "Dashboards",
    "pageReference": {
      "attributes": {
        "objectApiName": "Dashboard",
        "actionName": "home"
      },
      "state": {},
      "type": "standard\_\_objectPage"
    },
    "standardType": "Dashboards"
  }\],
  "nextPageUrl": null
}

Request Body

| Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| navItems | [Navigation Item Collection Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_navigation_item_collection_input.htm "A collection of all the navigation items (tabs) for an app. Pass this request body to get or update a user’s personalized navigation items.") | A list of navigation items (tabs) in the updated order they should appear. The updated order persists across desktop and mobile environments. | Required | 47.0 |

Response Body

[Navigation Items](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_nav_items.htm "An ordered list of navigation items (tabs) for the current user.")